Bug 1013417 - Add a spinning wheel when making AJAX calls
Add a spinning wheel when making AJAX calls
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On: 949874 993870
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 22:21 EDT by Simon Green
Modified: 2014-10-12 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.1012
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 23:40:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Green 2013-09-29 22:21:06 EDT
Bugs 993870 and 949874 introduced a feature where we load the component list via AJAX when a user selects a component (they use the same JS code for this).

It would be good to add a spinning wheel icon to indicate that the component list is loading. This would be especially useful for people on slower connections.
Comment 1 Simon Green 2013-11-22 02:18:53 EST
While I'm working on this, I also noted that the show_bug.cgi spinning wheel for editing a component is displayed when Javascript is disabled. That is bad, mmkay? :)
Comment 3 Simon Green 2013-12-05 23:40:12 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.